PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package structures
  Definition Classes
    serverobject
- Amenity
- AmenityDefinition
- AmenityOwner
- AutoRepairStats
- Building
- BuildingDefinition
- FoundationBuilder
- PoweredAmenityControl
- SphereOfInfluence
- StructureType
- WarpGate
- WarpGateDefinition

c

net.psforever.objects.serverobject.structures

# Building

###
Companion object Building

#### class Building extends AmenityOwner

Source
  Building.scala

Linear Supertypes
AmenityOwner, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any
Known Subclasses
WarpGate

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Building
2. AmenityOwner
3. PlanetSideServerObject
4. ZoneAware
5. FactionAffinity
6. PlanetSideGameObject
7. WorldEntity
8. IdentifiableEntity
9. Identifiable
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Building(name: String, building_guid: Int, map_id: Int, zone: Zone, buildingType: StructureType, buildingDefinition: BuildingDefinition)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def Amenities: List[Amenity]
   Definition Classes
     AmenityOwner
7.  def Amenities_=(obj: Amenity): List[Amenity]
   Definition Classes
     AmenityOwner
8.  def BuildingType: StructureType
9.  def CaptureTerminal: Option[CaptureTerminal]
10.  def CaptureTerminalIsHacked: Boolean
11.  def Continent: String
    Definition Classes
      Building → ZoneAware
12.  def Continent_=(zone: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    returns

      the identifier of the `Zone` object

    Definition Classes
      Building → ZoneAware
13.  def Definition: BuildingDefinition
    Definition Classes
      Building → PlanetSideGameObject
14.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
15.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
16.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
17.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
18.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Building → FactionAffinity
19.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      Building → FactionAffinity
20.  def ForceDomeActive: Boolean
21.  def ForceDomeActive_=(activated: Boolean): Boolean
22.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
23.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
24.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

25.  def Generator: Option[Generator]
26.  def HackableAmenities: List[Amenity with Hackable]
27.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
28.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
29.  def IsCapitol: Boolean
30.  def IsSubCapitol: Boolean
31.  def MapId: Int
32.  def Name: String
33.  def Neighbours(faction: types.PlanetSideEmpire.Value): Option[Set[Building]]
34.  def Neighbours: Option[Set[Building]]
35.  def NtuLevel: Int
36.  def NtuSource: Option[NtuContainer]
37.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
38.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
39.  def PlayersInSOI: List[Player]
40.  def PlayersInSOI_=(list: List[Player]): List[Player]
41.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
42.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
43.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
44.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
45.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
46.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
47.  def Zone: Zone
    Definition Classes
      ZoneAware
48.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      Building → ZoneAware
49.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
50.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
51.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
52.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
53.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
54.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
55.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
56.  def infoUpdateMessage(): BuildingInfoUpdateMessage
57.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
58.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
59.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
60.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
61.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
62.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
63.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
64.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
65.  def toString(): String
    Definition Classes
      Building → AnyRef → Any
66.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
67.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
68.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AmenityOwner

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped